com.sun.management

## Interface GarbageCollectorMXBean

All Superinterfaces:
  GarbageCollectorMXBean, MemoryManagerMXBean

    public interface GarbageCollectorMXBean
    extends GarbageCollectorMXBean

Platform-specific management interface for a garbage collector which performs collections in cycles.

This platform extension is only available to the garbage collection implementation that supports this extension.

Since:
  1.5

### Method Summary

Methods
`GcInfo` `getLastGcInfo()` Returns the GC information about the most recent GC.

### Methods inherited from interface java.lang.management.GarbageCollectorMXBean

`getCollectionCount, getCollectionTime`

### Methods inherited from interface java.lang.management.MemoryManagerMXBean

`getMemoryPoolNames, getName, isValid`

### Method Detail

#### getLastGcInfo

    GcInfo getLastGcInfo()

Returns the GC information about the most recent GC. This method returns a `GcInfo`. If no GC information is available, `null` is returned. The collector-specific attributes, if any, can be obtained via the `CompositeData` interface.

MBeanServer access: The mapped type of `GcInfo` is `CompositeData` with attributes specified in `GcInfo`.

Returns:
  a `GcInfo` object representing the most GC information; or `null` if no GC information available.

Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.